/*
 * mcp4131.c
 *
 *  Created on: Nov 23, 2022
 *      Author: hussamaldean
 */


#include "mcp4131.h"
#include "stm32f4xx.h"
#include "mcp4131_spi.h"


void mcp4131_init()
{
	mcp4131_spi_pins_init();
	mcp4131_spi_config();

}


void mcp4131_set_value (uint8_t value)
{
	if(value>128){value=128;}
	uint8_t data[2]={0,value};
	mcp4131_enable();
	mcp4131_spi_transmit(data,2);
	mcp4131_disable();
}
